Subject: bug#71603: closed (Re: bug#71603: Mouse clicking on a list-bookmarks' entry can not jump the cursor)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 Jun 2024 08:56:02 +0000

Your bug report

#71603: Mouse clicking on a list-bookmarks' entry can not jump the cursor

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71603: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71603
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#71603: Mouse clicking on a list-bookmarks' entry can not jump the cursor
From: Eli Zaretskii <[email-masked]>
To: Eshel Yaron <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 22 Jun 2024 11:55:16 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Eshel Yaron <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 17 Jun 2024 17:15:18 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Cc: [email-masked]
> >> Date: Mon, 17 Jun 2024 08:34:29 +0200
> >> From:  Eshel Yaron via "Bug reports for GNU Emacs,
> >>  the Swiss army knife of text editors" <[email-masked]>
> >> 
> >> > The expected behavior: jump cursor to bk1 or bk2
> >> >
> >> > The actual behavior: nothing happens, except the left fringe displays an additional bookmark icon if your current
> >> > point is not at one of the bookmark locations.
> >> 
> >> Thanks, I can reproduce this issue on master.  Does the diff below yield
> >> the expected behavior?
> >
> > Thanks, I have independently came to the same solution.  So please
> > install this on master, but with a comment explaining why we record
> > point before calling display-function.
> 
> All right, see commit 27f46ba4b96.

Thanks, closing.

Subject: Mouse clicking on a list-bookmarks' entry can not jump the cursor
From: Siyuan Chen <[email-masked]>
To: [email-masked]
Date: Mon, 17 Jun 2024 08:31:02 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

The reproduce steps:

1. Open Emacs 29.3 on Windows with -Q

2. Open a .el file which included some code, e.g. init.el

3. M-x `bookmark-delete-all` to cleanup bookmarks if you have

4. M-x `bookmark-set` at some locations, e.g. bk1 bk2

5. M-x `list-bookmarks` to open *Bookmark List* which should have 2 entries

6. Split 2 windows, the up window displays init.el, the bottom window
displays *Bookmark List*

7. Mouse left click (or press 'on' ) on bk1 or bk2 in *Bookmark List*

The expected behavior: jump cursor to bk1 or bk2

The actual behavior: nothing happens, except the left fringe displays an
additional bookmark icon if your current point is not at one of the
bookmark locations.

I don't know if this is a bug or the intended behavior, but when I put the
mouse on the bk1 or bk2 entry it will show "mouse-1: go to this bookmark in
other window", so I believe it is a bug.

In addition, if you click the entries via Mouse middle click, i.e. mouse-2,
then it seems to half work with a different weird behavior. Simply traced
the code and found that both invoke
`bookmark-bmenu-other-window-with-mouse` but I don't know why they have
different behaviors.

P.s. I can workaround it via hacking bookmark.el because `bookmark-jump`
works perfectly, but I just want to know if this is a real bug.

Thanks.

Best regards,

Siyuan Chen